MxServiceQuery (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.product.jmx.MxServiceQuery class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product.jmx
Class MxServiceQuery

    java.lang.Object
      org.hyperic.hq.product.jmx.MxQuery
          org.hyperic.hq.product.jmx.MxServiceQuery

    public abstract class MxServiceQuery

extends MxQuery

Field Summary

Fields inherited from class org.hyperic.hq.product.jmx.MxQuery
`EMPTY_PROPERTIES, log, objectName, PROP_ATTRIBUTE_NAME, PROP_MBEAN_CLASS, PROP_OBJECT_NAME, PROP_OBJECT_NAME_FILTER`

Constructor Summary
`MxServiceQuery()`

Method Summary
`boolean` | `apply(javax.management.ObjectName name)`
`MxServiceQuery` | `cloneInstance()`
`java.lang.String` | `getIdentifier()`
`abstract java.lang.String` | `getMBeanClass()`
`abstract java.lang.String` | `getObjectNameFilter()`
`MxQuery` | `getParent()`
`java.lang.String` | `getQualifiedName()`
`abstract java.lang.String` | `getQueryName()`
`java.util.Properties` | `getResourceConfig()`
`java.lang.String` | `getResourceType()`
`MxServerQuery` | `getServerQuery()`
`abstract java.lang.String` | `getServiceResourceType()`
`void` | `setParent(MxQuery parent)`
`void` | `setServerQuery(MxServerQuery serverQuery)`

Methods inherited from class org.hyperic.hq.product.jmx.MxQuery
`getAttribute, getAttribute, getAttributeNames, getAttributes, getAttributes, getControlConfig, getCustomProperties, getName, getObjectName, getServerDetector, getURL, hasControl, initialize, setAttribute, setName, setServerDetector, setURL`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MxServiceQuery

    public MxServiceQuery()

Method Detail

### getQueryName

    public abstract java.lang.String getQueryName()

### getMBeanClass

    public abstract java.lang.String getMBeanClass()

### getObjectNameFilter

    public abstract java.lang.String getObjectNameFilter()

### apply

    public boolean apply(javax.management.ObjectName name)

### cloneInstance

    public MxServiceQuery cloneInstance()

### getIdentifier

    public java.lang.String getIdentifier()

  Specified by:
    `getIdentifier` in class `MxQuery`

### getResourceType

    public java.lang.String getResourceType()

  Specified by:
    `getResourceType` in class `MxQuery`

### getServiceResourceType

    public abstract java.lang.String getServiceResourceType()

### getResourceConfig

    public java.util.Properties getResourceConfig()

  Overrides:
    `getResourceConfig` in class `MxQuery`

### getQualifiedName

    public java.lang.String getQualifiedName()

  Specified by:
    `getQualifiedName` in class `MxQuery`

### getParent

    public MxQuery getParent()

  Overrides:
    `getParent` in class `MxQuery`

### setParent

    public void setParent(MxQuery parent)

### getServerQuery

    public MxServerQuery getServerQuery()

### setServerQuery

    public void setServerQuery(MxServerQuery serverQuery)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.